Schema dax-2.0.xsd

schema location: | G:\GRIPHYN\PEGASUS\dax-2.0.xsd
targetNamespace: | http://pegasus.isi.edu/schema/DAX

Elements | Complex types | Simple types
adag | FilenameType | LinkageType
| PlainFilenameType | ProfileNamespace
| StdioType | TransferType

element adag

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | filename job child

attributes

Name | Type | Use | Default | Fixed | Annotation
version | xs:NMTOKEN | required |  |  |
name | xs:string | required |  |  |
index | xs:nonNegativeInteger | required |  |  |
count | xs:nonNegativeInteger | required |  |  |
jobCount | xs:positiveInteger | optional |  |  |
fileCount | xs:nonNegativeInteger | optional |  |  |
childCount | xs:nonNegativeInteger | optional |  |  |

annotation

documentation

    abstract DAG in XML

element adag/filename

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |
link | LinkageType | optional |  |  |
optional | xs:boolean | optional | false |  |

annotation

documentation

    List of all filenames used.

element adag/job

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | argument profile stdin stdout stderr uses

attributes

Name | Type | Use | Default | Fixed | Annotation
namespace | xs:string | optional |  |  |
name | xs:NMTOKEN | required |  |  |
version | xs:string | optional |  |  |
dv-namespace | xs:string | optional |  |  |
dv-name | xs:NMTOKEN | optional |  |  |
dv-version | xs:string | optional |  |  |
id | xs:ID | required |  |  |

level

xs:nonNegativeInteger

optional

documentation

    Level from search in router.

compound | xs:NMTOKENS | optional |  |  |

annotation

documentation

    Job specification in terms of a logical transformation.

element adag/job/argument

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | filename

annotation

documentation

    Arguments on the commandline, text interrupted by filenames

element adag/job/argument/filename

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | PlainFilenameType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |

element adag/job/profile

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | filename

attributes

Name | Type | Use | Default | Fixed | Annotation
key | xs:string | required |  |  |
namespace | ProfileNamespace | required |  |  |
origin | xs:string | optional | vdl |  |

annotation

documentation

    Execution environment specific data to be passed to lower levels.

element adag/job/profile/filename

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | PlainFilenameType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |

element adag/job/stdin

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of StdioType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |
varname | xs:NMTOKEN | required |  |  |
link | LinkageType | optional |  | input |

annotation

documentation

    stand-in for "filename", linkage is "input" fixed.

element adag/job/stdout

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of StdioType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |
varname | xs:NMTOKEN | required |  |  |
link | LinkageType | optional |  | output |

annotation

documentation

    stand-in for "filename", linkage is "output" fixed.

element adag/job/stderr

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of StdioType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |
varname | xs:NMTOKEN | required |  |  |
link | LinkageType | optional |  | output |

annotation

documentation

    stand-in for "filename", linkage is "output" fixed.

element adag/job/uses

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | FilenameType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |
dontTransfer | TransferType | optional | false |  |
dontRegister | xs:boolean | optional | false |  |
temporaryHint | xs:string | optional |  |  |
link | LinkageType | optional |  |  |
optional | xs:boolean | optional | false |  |
type | xs:NMTOKENS | optional | data |  |

element adag/child

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | parent

attributes

Name | Type | Use | Default | Fixed | Annotation
ref | xs:IDREF | required |  |  |

annotation

documentation

    List of dependencies.

element adag/child/parent

diagram |
namespace | http://pegasus.isi.edu/schema/DAX

attributes

Name | Type | Use | Default | Fixed | Annotation
ref | xs:IDREF | required |  |  |

annotation

documentation

    parent node refering to a job.

complexType FilenameType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

used by

element | adag/job/uses

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |
dontTransfer | TransferType | optional | false |  |
dontRegister | xs:boolean | optional | false |  |
temporaryHint | xs:string | optional |  |  |
link | LinkageType | optional |  |  |
optional | xs:boolean | optional | false |  |
type | xs:NMTOKENS | optional | data |  |

annotation

documentation

    logical filename representation.

complexType PlainFilenameType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX

used by

elements | adag/filename adag/job/argument/filename adag/job/profile/filename
complexTypes | FilenameType StdioType

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |

annotation

documentation

    defines just a filename.

complexType StdioType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

used by

elements | adag/job/stderr adag/job/stdin adag/job/stdout

attributes

Name | Type | Use | Default | Fixed | Annotation
file | xs:string | required |  |  |
varname | xs:NMTOKEN | required |  |  |

annotation

documentation

    Derivation of Plain filename, with added attributes for variable name recording.

simpleType LinkageType

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attributes | adag/filename/@link adag/job/stdin/@link adag/job/stdout/@link adag/job/stderr/@link FilenameType/@link

facets

enumeration | none
enumeration | input
enumeration | output
enumeration | inout

annotation

documentation

    defines the usage of a logical filename.

simpleType ProfileNamespace

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attribute | adag/job/profile/@namespace

facets

enumeration | pegasus
enumeration | condor
enumeration | dagman
enumeration | env
enumeration | hints
enumeration | globus
enumeration | selector

annotation

documentation

    defines the legal namespaces of execution profiles.

simpleType TransferType

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attribute | FilenameType/@dontTransfer

facets

enumeration | false
enumeration | optional
enumeration | true

annotation

documentation

    defines the tri-state transfer modes.

XML Schema documentation generated with XMLSPY Schema Editor http://www.altova.com/xmlspy